package com.goldenwater.slaj.hidd.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hidd.mapper.BisHiddZeroAssessRecMapper;
import com.goldenwater.slaj.hidd.domain.BisHiddZeroAssessRec;
import com.goldenwater.slaj.hidd.service.IBisHiddZeroAssessRecService;

/**
 * 隐患零报告考核记录 服务层实现
 */
@Service
public class BisHiddZeroAssessRecServiceImpl implements IBisHiddZeroAssessRecService {

    @Autowired
    private BisHiddZeroAssessRecMapper bisHiddZeroAssessRecMapper;

    /**
     * 查询隐患零报告考核记录信息
     * @param id 查询条件
     * @return 隐患零报告考核记录信息
     */
    @Override
    public BisHiddZeroAssessRec selectBisHiddZeroAssessRecById(Long id) {
        return bisHiddZeroAssessRecMapper.selectBisHiddZeroAssessRecById(id);
    }

    /**
     * 查询隐患零报告考核记录列表
     * @param bisHiddZeroAssessRec 隐患零报告考核记录查询条件
     * @return 隐患零报告考核记录集合
     */
    @Override
    public List<BisHiddZeroAssessRec> selectBisHiddZeroAssessRecList(BisHiddZeroAssessRec bisHiddZeroAssessRec) {
        return bisHiddZeroAssessRecMapper.selectBisHiddZeroAssessRecList(bisHiddZeroAssessRec);
    }

    /**
     * 新增隐患零报告考核记录
     * @param bisHiddZeroAssessRec 隐患零报告考核记录信息
     * @return 影响行数
     */
    @Override
    public int insertBisHiddZeroAssessRec(BisHiddZeroAssessRec bisHiddZeroAssessRec) {
        return bisHiddZeroAssessRecMapper.insertBisHiddZeroAssessRec(bisHiddZeroAssessRec);
    }

    /**
     * 修改隐患零报告考核记录
     * @param bisHiddZeroAssessRec 隐患零报告考核记录信息
     * @return 影响行数
     */
    @Override
    public int updateBisHiddZeroAssessRec(BisHiddZeroAssessRec bisHiddZeroAssessRec) {
        return bisHiddZeroAssessRecMapper.updateBisHiddZeroAssessRec(bisHiddZeroAssessRec);
    }

    /**
     * 删除隐患零报告考核记录
     * @param id 隐患零报告考核记录主键
     * @return 影响行数
     */
    @Override
    public int deleteBisHiddZeroAssessRecById(Long id) {
        return bisHiddZeroAssessRecMapper.deleteBisHiddZeroAssessRecById(id);
    }

    /**
     * 批量删除隐患零报告考核记录
     * @param ids 隐患零报告考核记录主键数组
     * @return 影响行数
     */
    @Override
    public int deleteBisHiddZeroAssessRecByIds(Long[] ids) {
        return bisHiddZeroAssessRecMapper.deleteBisHiddZeroAssessRecByIds(ids);
    }
}
